# PSF-LoginServer - master - net.psforever.objects.equipment.JammingUnit
PSF - LoginServer - master - net.psforever.objects.equipment.JammingUnit
Keywords: PSF LoginServer master net.psforever.objects.equipment.JammingUnit

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package equipment
  Definition Classes
    objects
- Ammo
- CItem
- ChargeFireModeDefinition
- EffectTarget
- Equipment
- EquipmentSize
- EquipmentSlot
- FireModeDefinition
- FireModeSwitch
- InfiniteFireModeDefinition
- JammableBehavior
- JammableMountedWeapons
- JammableUnit
- JammingUnit
- Kits
- PelletFireModeDefinition
- RemoteUnit
- SItem
- TargetValidation

o

net.psforever.objects.equipment

# JammingUnit 

###
Companion trait JammingUnit

#### object JammingUnit

Source
  JammingUnit.scala

Linear Supertypes
AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JammingUnit
2. AnyRef
3. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def FindJammerDuration(jammer: JammingUnit, targets: Seq[PlanetSideGameObject]): Seq[Option[Int]]

   Determine whether a group of objects that can be jammered is to be jammered by this source, and for how long.

   Determine whether a group of objects that can be jammered is to be jammered by this source, and for how long. If the object succeeds for multiple qualification tests, prioritize the lengthiest duration.

   jammer

     the source of the "jammered" status

   targets

     the objects to be determined if affected by the source's jammering

   returns

     the indexed durations to be jammered, if any, in milliseconds

5.  def FindJammerDuration(durations: Iterable[(TargetValidation, Int)], target: PlanetSideGameObject): Option[Int]
6.  def FindJammerDuration(jammer: JammingUnit, target: PlanetSideGameObject): Option[Int]

   Determine whether an object that can be jammered is to be jammered by this source, and for how long.

   Determine whether an object that can be jammered is to be jammered by this source, and for how long. If the object succeeds for multiple qualification tests, prioritize the lengthiest duration.

   jammer

     the source of the "jammered" status

   target

     the object to be determined if affected by the source's jammering

   returns

     the duration to be jammered, if any, in milliseconds

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from AnyRef

### Inherited from Any

### Ungrouped